package
{
	import com.rl2.example.config.AppConfig;
	import com.rl2.example.otherViews.components.AnotherView;
	import com.rl2.example.otherViews.components.SomeView;
	import com.rl2.example.view.InterfaceView;
	
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.Event;
	
	import robotlegs.bender.bundles.mvcs.MVCSBundle;
	import robotlegs.bender.extensions.contextView.ContextView;
	import robotlegs.bender.framework.api.IContext;
	import robotlegs.bender.framework.impl.Context;

	/**
	 * @author Jono
	 */
	[SWF(backgroundColor="#000000", frameRate="30", width="1024", height="768")]
	public class RL_Bender_Jono_BaseView extends Sprite
	{
		
		private var _container:Sprite;
		private var _context:IContext;
		
		public function RL_Bender_Jono_BaseView()
		{
			stage.align = StageAlign.TOP_LEFT;
			stage.scaleMode = StageScaleMode.NO_SCALE;
			
			//####
			addEventListener(Event.ADDED_TO_STAGE, onAddedToStage);
			
			/*_container = new Sprite();
			addChild(_container);
			
			_context = new Context();
			_context.afterInitializing(afterInitializing)
				
			_context.install(MVCSBundle).configure(AppConfig).configure(new ContextView(_container));
			
			_context.install(MVCSBundle).configure(AppConfig).configure(new ContextView(this));*/
		}
		
		protected function onAddedToStage(event:Event):void
		{
			trace("RL_Bender_Jono_BaseView.onAddedToStage(event)");
			_context = new Context();
			
			//##
			_context.afterInitializing(afterInitializing)			
			_context.install(MVCSBundle).configure(AppConfig).configure(new ContextView(this));
			
		}
		
		private function afterInitializing():void
		{
			trace("RL_Bender_Jono_BaseView.afterInitializing()");
			var interfaceView:InterfaceView = new InterfaceView();
			this.addChild(interfaceView);
			
			addChild( new SomeView());
		}
	}
}

